package org.wontovlab.model.TO;

import java.util.Set;


public class TaskTO {

	private String id;
	private String description;
	private String applicationOntologyReference;
	private MaterialTO[] materials;

	
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	
	public MaterialTO[] getMaterials() {
		return materials;
	}
	public void setMaterials (MaterialTO[] materials) {
		this.materials = materials;
	}

	
	public String getApplicationOntologyReference() {
		return applicationOntologyReference;
	}

	public void setApplicationOntologyReference(String applicationOntologyReference) {
		this.applicationOntologyReference = applicationOntologyReference;
	}
	
	
	
/*	@Override
	public boolean equals(Object obj) {
		if (((Step) obj).getId() == null) 
			return false;
		
		String id = ((Step) obj).getId();
		if (this.id.equals(id))
			return true;
		
		return false;
	
	}*/
	
/*	public boolean equals(String id) {
		if (this.id.equals(id))
			return true;
		
		return false;
	}*/
	
}

	
